﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using Infragistics.UltraChart.Core.Primitives;

namespace LineChartIssue
{
    public partial class Form1 : Form
    {
        List<Primitive> List = new List<Primitive>();
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            BurnDownChart.DataSource = Builddata();
            BurnDownChart.DataBind();
        }

        DataSet Builddata()
        {

            DataSet ds = new DataSet();

            DataTable dt = ds.Tables.Add();
            DataColumn dc;
            dc = dt.Columns.Add("X", typeof(DateTime));
            dc = dt.Columns.Add("Y1", typeof(int));
            dc = dt.Columns.Add("Y2", typeof(int));


            DataRow dr;
            Random r = new Random(1);
            DateTime date;
            for (int i = 0; i < 20; i++)
            {
                dr = dt.NewRow();
                date = DateTime.Now.AddDays(i);
                if (date.DayOfWeek == DayOfWeek.Saturday || date.DayOfWeek == DayOfWeek.Sunday)
                    continue;
                if (i > 2)
                {

                    dr[0] = date;
                    //dr[1] = DBNull.Value;
                    //dr[2] = DBNull.Value;

                    //all rows are null only first column is having value
                }
                else
                {
                    dr[0] = date;
                    dr[1] = r.Next();
                    dr[2] = r.Next();
                }
                dt.Rows.Add(dr);
            }


            return ds;
        }

        private void BurnDownChart_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
        {
            foreach (Primitive pr in e.SceneGraph)
            {
                if (pr.Row != -1 && pr.Column != -1 && pr.GetType() == typeof(Polyline) && Convert.ToInt32(((Polyline)pr).points[1].Value) == 0
                    && Convert.ToInt32(((Polyline)pr).points[2].Value) == 0)
                {
                    pr.GetPrimitives().Clear();
                }
            }
        }
    }
}
